This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Use correct method for checking module version in Makefile.PL
authorPali <pali@cpan.org>
Sun, 2 Jun 2019 11:34:33 +0000 (13:34 +0200)
committerNicolas R <atoomic@cpan.org>
Fri, 27 Sep 2019 20:35:54 +0000 (14:35 -0600)
(cherry picked from commit 45499778ea5ff8fbb51a5e75059b3c94e221f9e6)
Signed-off-by: Nicolas R <atoomic@cpan.org>
dist/Devel-PPPort/Makefile.PL

index 235b94c..133e9b6 100644 (file)
@@ -53,12 +53,12 @@ sub configure
   );
   my @moreopts;
 
-  if (eval $ExtUtils::MakeMaker::VERSION >= 6) {
+  if (eval { ExtUtils::MakeMaker->VERSION(6) }) {
     push @moreopts, AUTHOR => 'Marcus Holland-Moritz <mhx@cpan.org>';
     push @moreopts, ABSTRACT_FROM => 'PPPort_pm.PL';
   }
 
-  if (eval $ExtUtils::MakeMaker::VERSION >= 6.30_01) {
+  if (eval { ExtUtils::MakeMaker->VERSION(6.30_01) }) {
     print "Setting license tag...\n";
     push @moreopts, LICENSE => 'perl';
   }